API referenceRules
Create a rule
post
https://www.tracira.com/api/rulesPOST
sessionAuthcookie
better-auth.session_token<token>Browser session cookie used by logged-in Tracira users. Secure-prefixed variants may also be used by the browser.
application/json- body
name*stringtype*stringValue in
"keyword_required""keyword_forbidden""regex_match""length_limit""confidence_threshold""llm_judge""json_field""json_field_keyword_required""json_field_keyword_forbidden"description?stringvalue*stringisActive?booleanprojectId?string|nullprojectName?string|nulltaskName?string|nullllmJudgeProvider?|Value in
"anthropic""openai""openrouter"llmJudgeModel?string|nullRule created.
application/json- response
id*stringname*stringtype*stringValue in
"keyword_required""keyword_forbidden""regex_match""length_limit""confidence_threshold""llm_judge""json_field""json_field_keyword_required""json_field_keyword_forbidden"description*stringvalue*stringisActive*booleanprojectId?string|nullprojectName?string|nulltaskName?string|nullllmJudgeProvider?|Value in
"anthropic""openai""openrouter"llmJudgeModel?string|nullcreatedAt*stringFormat
date-timecurl -X POST 'https://www.tracira.com/api/rules' \ -H 'Content-Type: application/json' \ -d '{ "name": "No refund promises", "type": "keyword_forbidden", "value": "refund", "description": "Refunds need a human sign-off.", "projectName": "Customer Support"}'Example Response
{ "id": "string", "name": "string", "type": "keyword_required", "description": "string", "value": "string", "isActive": true, "projectId": "string", "projectName": "string", "taskName": "string", "llmJudgeProvider": "anthropic", "llmJudgeModel": "string", "createdAt": "2019-08-24T14:15:22Z"}